htdb_stat(1)

NAME
htdb_stat - displays statistics for Berkeley DB environments.

SYNOPSIS
htdb_stat [-celmNtzW] [-C Acfhlmo] [-d file [-s file]] [-h home] [-M Ahlm]

DESCRIPTION
htdb_stat is a slightly modified version of the standard Berkeley DB db_stat utility which displays statistics for Berkeley DB environments.

OPTIONS

-W  Initialize WordContext(3) before gathering statistics. With the -z flag allows to gather statistics on inverted indexes generated with the mifluz(3) specific compression scheme. The MIFLUZ_CONFIG environment variable must be set to a file containing the mifluz(3) configuration.

-z  The file is compressed. If -W is given the mifluz(3) specific compression scheme is used. Otherwise the default gzip compression scheme is used.

-C  Display internal information about the lock region. (The output from this option is often both voluminous and meaningless, and is intended only for debugging.)

A   Display all information.

c   Display lock conflict matrix.

f   Display lock and object free lists.

l   Display lockers within hash chains.

m   Display region memory information.

o   Display objects within hash chains.

-c  Display lock region statistics.

-d  Display database statistics for the specified database. If the database contains subdatabases, the statistics are for the database or subdatabase specified, and not for the database as a whole.

-e  Display current environment statistics.

-h  Specify a home directory for the database.

-l  Display log region statistics.

-M  Display internal information about the shared memory buffer pool. (The output from this option is often both voluminous and meaningless, and is intended only for debugging.)

A   Display all information.

h   Display buffers within hash chains.

l   Display buffers within LRU chains.

m   Display region memory information.

-m  Display shared memory buffer pool statistics.

-N  Do not acquire shared region locks while running. Other problems such as potentially fatal errors in Berkeley DB will be ignored as well. This option is intended only for debugging errors and should not be used under any other circumstances.

-s  Display database statistics for the specified subdatabase of the database specified with the -d flag.

-t  Display transaction region statistics.

-V  Write the version number to the standard output and exit.

Only one set of statistics is displayed for each run, and the last option specifying a set of statistics takes precedence. Values smaller than 10 million are generally displayed without any special notation. Values larger than 10 million are normally displayed as <number>M The htdb_stat utility attaches to one or more of the Berkeley DB shared memory regions. In order to avoid region corruption, it should always be given the chance to detach and exit gracefully. To cause htdb_stat to clean up after itself and exit, send it an interrupt signal (SIGINT).

ENVIRONMENT
DB_HOME If the -h option is not specified and the environment variable DB_HOME is set, it is used as the path of the database home. MIFLUZ_CONFIG file name of configuration file read by WordContext(3). Defaults to ~/.mifluz.

AUTHORS
Sleepycat Software http://www.sleepycat.com/ Loic Dachary loic@gnu.org The Ht://Dig group http://dev.htdig.org/

SEE ALSO
htdb_dump(1), htdb_load(1), mifluzdump(1), mifluzload(1), mifluzsearch(1), mifluzdict(1), WordContext(3), WordList(3), WordDict(3), WordListOne(3), WordKey(3), WordKeyInfo(3), WordType(3), WordDBInfo(3), WordRecordInfo(3), WordRecord(3), WordReference(3), WordCursor(3), WordCursorOne(3), WordMonitor(3), Configuration(3), mifluz(3)